qq_41879997 2022-01-15 14:43 采纳率: 100%
浏览 190
已结题

使用pip install pandas 时出现错误

ERROR: Exception:
Traceback (most recent call last):
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\urllib3\response.py", line 438, in _error_catcher
yield
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\urllib3\response.py", line 519, in read
data = self._fp.read(amt) if not fp_closed else b""
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\cachecontrol\filewrapper.py", line 62, in read
data = self.__fp.read(amt)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\http\client.py", line 465, in read
s = self.fp.read(amt)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\socket.py", line 705, in readinto
return self._sock.recv_into(b)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\ssl.py", line 1273, in recv_into
return self.read(nbytes, buffer)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\ssl.py", line 1129, in read
return self._sslobj.read(len, buffer)
TimeoutError: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\cli\base_command.py", line 164, in exc_logging_wrapper
status = run_func(*args)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\cli\req_command.py", line 205, in wrapper
return func(self, options, args)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\commands\install.py", line 338, in run
requirement_set = resolver.resolve(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\resolver.py", line 92, in resolve
result = self._result = resolver.resolve(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\resolvelib\resolvers.py", line 482, in resolve
state = resolution.resolve(requirements, max_rounds=max_rounds)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\resolvelib\resolvers.py", line 349, in resolve
self._add_to_criteria(self.state.criteria, r, parent=None)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\resolvelib\resolvers.py", line 173, in _add_to_criteria
if not criterion.candidates:
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\resolvelib\structs.py", line 151, in bool
return bool(self._sequence)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py", line 155, in bool
return any(self)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py", line 143, in
return (c for c in iterator if id(c) not in self._incompatible_ids)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py", line 47, in _iter_built
candidate = func()
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\factory.py", line 201, in _make_candidate_from_link
self._link_candidate_cache[link] = LinkCandidate(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 281, in init
super().init(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 156, in init
self.dist = self._prepare()
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 225, in _prepare
dist = self._prepare_distribution()
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 292, in _prepare_distribution
return preparer.prepare_linked_requirement(self._ireq, parallel_builds=True)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\operations\prepare.py", line 482, in prepare_linked_requirement
return self._prepare_linked_requirement(req, parallel_builds)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\operations\prepare.py", line 527, in _prepare_linked_requirement
local_file = unpack_url(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\operations\prepare.py", line 213, in unpack_url
file = get_http_url(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\operations\prepare.py", line 94, in get_http_url
from_path, content_type = download(link, temp_dir.path)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\network\download.py", line 145, in call
for chunk in chunks:
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\cli\progress_bars.py", line 144, in iter
for x in it:
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\network\utils.py", line 63, in response_chunks
for chunk in response.raw.stream(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\urllib3\response.py", line 576, in stream
data = self.read(amt=amt, decode_content=decode_content)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\urllib3\response.py", line 512, in read
with self._error_catcher():
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\contextlib.py", line 153, in exit
self.gen.throw(typ, value, traceback)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\urllib3\response.py", line 443, in _error_catcher
raise ReadTimeoutError(self._pool, None, "Read timed out.")
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.

请问如何解决

  • 写回答

2条回答 默认 最新

  • CSDN专家-HGJ 2022-01-15 15:11
    关注

    是网络超时,换成国内镜像安装源试试:
    pip install -i https://pypi.douban.com/simple pandas

    本回答被题主选为最佳回答 , 对您是否有帮助呢?
    评论 编辑记录
查看更多回答(1条)

报告相同问题?

问题事件

  • 系统已结题 1月23日
  • 已采纳回答 1月15日
  • 创建了问题 1月15日

悬赏问题

  • ¥15 我下载图形界面重启完就变成这样了,打字也打不了,动也动不了,该怎么解决(操作系统-centos)
  • ¥15 VBA中在窗体中遍历所有checkbox控件,提取出被选中的checkbox的caption值
  • ¥15 在Ubuntu上有什么命令,或者是系统文件能告诉我链接nvme ssd的pcie槽位是不是支持热插拔功能?
  • ¥15 ansys license许可证问题
  • ¥20 QQ号和密码都能正常登录微信 QQ号和密码登录微信显示密码错误
  • ¥15 qiankun主应用注册子应用提示跨域
  • ¥15 单片机RTOS Kernel与应用分离开发,Kernel如何调起应用?
  • ¥15 快手小店商家版APP怎么第三方APP跳转到指定用户聊天界面
  • ¥15 为什么AVL fire软件仿真时的步长改变了,仿真结果也会改变
  • ¥100 如何帮我写一个java小游戏